/*###############################################################################
## OpenBTrainer project
##
## Copyright (C) 2009 Jose Luis Falcón Ramírez  jose.falconra@alum.uca.es
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
###############################################################################*/

#ifndef _CALCULO_H
#define	_CALCULO_H

class calculo {
public:
    /** Constructor de la clase calculo. Creará una semilla de números pseudoaleatorios*/
    calculo();
    /** Función que lanza el juego Aritmetica
     * @param pantalla: Le pasamos la variable pantalla para que imprima la información en ella.
     */
    Uint32 aritmetica(SDL_Surface* pantalla);
    /** Función que lanza el juego Operadores
     * @param pantalla: Le pasamos la variable pantalla para que imprima la información en ella.
     */
    Uint32 operadores(SDL_Surface* pantalla);
    virtual ~calculo();
private:
    void dibujarescenarioari(SDL_Surface *pantalla);
    Uint32 generarcuenta(SDL_Surface *pantalla);
    void dibujarescenarioope(SDL_Surface *pantalla);
    Uint32 generacuentaope(SDL_Surface *pantalla);
};

#endif	/* _CALCULO_H */

